org.apache.datasketches.pig.tuple

## Class ArrayOfDoublesSketchToQuantilesSketch

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.DataByteArray>
  - - org.apache.datasketches.pig.tuple.ArrayOfDoublesSketchToQuantilesSketch

    public class ArrayOfDoublesSketchToQuantilesSketch
    extends org.apache.pig.EvalFunc<org.apache.pig.data.DataByteArray>

This UDF converts a given column of double values from an ArrayOfDoubles sketch to a quantiles DoublesSketch to further analyze the distribution of these values. The result will be a DataByteArray with serialized quantiles sketch.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`ArrayOfDoublesSketchToQuantilesSketch()` Constructor with default parameter k for quantiles sketch
`ArrayOfDoublesSketchToQuantilesSketch(String k)` Constructor with a given parameter k for quantiles sketch

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.pig.data.DataByteArray` `exec(org.apache.pig.data.Tuple input)`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayOfDoublesSketchToQuantilesSketch

    public ArrayOfDoublesSketchToQuantilesSketch()

Constructor with default parameter k for quantiles sketch

#### ArrayOfDoublesSketchToQuantilesSketch

    public ArrayOfDoublesSketchToQuantilesSketch(String k)

Constructor with a given parameter k for quantiles sketch

Parameters:
  `k` - string representation of the parameter k that determines the accuracy and size of the quantiles sketch

### Method Detail

#### exec

    public org.apache.pig.data.DataByteArray exec(org.apache.pig.data.Tuple input)
                                           throws IOException

Specified by:
  `exec` in class `org.apache.pig.EvalFunc<org.apache.pig.data.DataByteArray>`
Throws:
  `IOException`